<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>함수 정의와 호출</title>
</head>
<body>
 <b>가변길이 매개변수 사용</b></p>

<?PHP
// fcn_call_variable_len_arg.php
// 가변길이 매개변수 사용(variable-length argument lists) 
// ... token 사용, 배열 저장(PHP5.6 and later)
// 일반 매개변수 정의 다음에 정의

// 함수 정의 - 가변길이 매개변수(인덱스배열)
function sum1(... $su) {

   $tot = 0;
   $cnt = count($su);          // 배열 원소 수

   for ($i = 0; $i < $cnt; $i++) {
      $tot = $tot + $su[$i];
   }
   return $tot;
}

// 함수 정의 - 가변길이 매개변수(인덱스배열/연관배열)
function sum2(... $su) {

   $tot = 0;

   foreach ($su as $val) {
      $tot = $tot + $val;
   }
   return $tot;
}

// 함수 정의 - 매개변수와 가변길이 매개변수(인덱스배열)
function sum3($gibon, ... $su) {

   $tot = $gibon;
   $cnt = count($su);          // 배열 원소 수

   for ($i = 0; $i < $cnt; $i++) {
      $tot = $tot + $su[$i];
   }
   return $tot;
}

// 함수 호출
echo "tot1 = ".sum1()."<Br>";
echo "tot1 = ".sum1(1)."<Br>";
echo "tot1 = ".sum1(1, 2, 3)."</p>";

echo "tot2 = ".sum2()."<Br>";
echo "tot2 = ".sum2(1)."<Br>";
echo "tot2 = ".sum2(1, 2, 3)."</p>";

echo "tot3 = ".sum3(50)."<Br>";
echo "tot3 = ".sum3(50, 10)."<Br>";
echo "tot3 = ".sum3(50, 10, 20, 30);
?>

</body>
</html>

